View Issue Details

IDProjectCategoryView StatusLast Update
0005889Topic Status[Simple:Press] code - classespublic2018-01-27 23:19
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version[Simple:Press] 5.8 
Target Version[Simple:Press] 5.8Fixed in Version[Simple:Press] 5.8 
Summary0005889: topic status not using meta api correctly
DescriptionJan 1, 2018 6:18 pm | spaErrNotice | 10 | php
file: /forum-plugins/topic-status/sp-topicstatus-plugin.php
line: 210
function: sp_topicstatus_load_page_data
Notice | Trying to get property of non-object
TagsNo tags attached.
change_log_textproper user of the meta api
typedefect

Activities

svn

svn

2018-01-01 23:30

administrator   ~0019780

Changeset [15632] by steve on 2018-01-01 18:30:37 -0500 (Mon, 01 Jan 2018)

test issue 0005889 proper user of the meta api

 Changed Files:

U plugins/topic-status/sp-topicstatus-plugin.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15632
Mr Papa

Mr Papa

2018-01-07 03:56

administrator   ~0019782

think there is more things wrong here... other places not getting meta properly... and plugin generally not working...
svn

svn

2018-01-07 04:30

administrator   ~0019783

Changeset [15633] by steve on 2018-01-06 23:30:20 -0500 (Sat, 06 Jan 2018)

test issue 0005889 proper user of the meta api

 Changed Files:

U plugins/topic-status/library/sp-topicstatus-support.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15633

Issue History

Date Modified Username Field Change
2018-01-01 23:20 Mr Papa New Issue
2018-01-01 23:30 Mr Papa Assigned To => Mr Papa
2018-01-01 23:30 Mr Papa Status new => assigned
2018-01-01 23:30 svn =>
2018-01-01 23:30 svn Note Added: 0019780
2018-01-01 23:30 svn Status assigned => testing
2018-01-05 02:11 Mr Papa Status testing => closed
2018-01-05 02:11 Mr Papa Resolution open => fixed
2018-01-05 02:11 Mr Papa Fixed in Version => 5.8
2018-01-05 02:11 Mr Papa change_log_text update => proper user of the meta api
2018-01-07 03:56 Mr Papa Status closed => reopened
2018-01-07 03:56 Mr Papa Resolution fixed => reopened
2018-01-07 03:56 Mr Papa Note Added: 0019782
2018-01-07 04:30 svn =>
2018-01-07 04:30 svn Note Added: 0019783
2018-01-07 04:30 svn Status reopened => testing
2018-01-07 04:30 svn Resolution reopened => open
2018-01-27 23:19 Mr Papa Status testing => closed
2018-01-27 23:19 Mr Papa Resolution open => fixed